DNF5-DOWNGRADE(8)

NAME
dnf5-downgrade - Downgrade Command

SYNOPSIS

dnf5 downgrade [options] <package-spec-NPFB>...

DESCRIPTION

The downgrade command in DNF5 is used to downgrade each package specified in package-spec-NPFB list to the highest installable version of all known lower versions if possible. When the version is explicitly given in the argument and it is lower than the version of the installed package then it downgrades to this one.

OPTIONS

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --skip-broken
        Resolve any dependency problems by removing packages that are causing problems from the transaction.

    --skip-unavailable
        Allow skipping packages that are not possible to downgrade. All remaining packages will be downgraded.

    --allow-downgrade
        Enable downgrade of dependencies when resolving the requested operation.

    --no-allow-downgrade
        Disable downgrade of dependencies when resolving the requested operation.

    --installed-from-repo=REPO_ID,...
        Filters installed packages by the ID of the repository they were installed from.

    --from-repo=REPO_ID,...
        Packages (or their provides) explicitly specified on the command line will only be looked up in the specified repositories.
        These repositories are automatically enabled.
        Repository enabling and disabling still applies. Dependencies of these packages will be resolved from any enabled repository.

    --from-vendor=VENDOR,...
        List of vendors separated by commas or spaces. Globs are supported (e.g., --from-vendor='Fedora\ project, vendorA, vendorB*, vendorC').
        Packages (or their provides) explicitly specified on the command line will only be looked up from the specified vendors.
        The vendor change check is bypassed for these packages.
        The vendor is ignored or vendor change policies (if allow_vendor_change=0) will still be used for packages that satisfy dependencies.

    --downloadonly
        Download the resolved package set without executing an RPM transaction.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --transient
        Applicable only on bootc (bootable containers) systems. Perform transactions using a transient overlay which will be lost on the next reboot. See also the persistence <#persistence-options-label> configuration option.

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

EXAMPLES

    dnf5 downgrade nano-0:6.0-2.fc36
        Downgrade the nano package to the given version.

    dnf5 downgrade gcc glibc --allowerasing
        Downgrade gcc, glibc packages and allow removing of installed packages when needed.

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.